zenilib: zenilib/jni/external/freetype2/include/freetype/internal/ftgloadr.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions
ftgloadr.h File Reference
`#include <ft2build.h>`
`#include <FT_FREETYPE_H>`

Go to the source code of this file.

## Classes

struct | FT_GlyphLoaderRec_
struct | FT_GlyphLoadRec_
struct | FT_SubGlyphRec_

## Macros

#define | FT_GLYPHLOADER_CHECK_C(_loader, _count)
#define | FT_GLYPHLOADER_CHECK_P(_loader, _count)
#define | FT_GLYPHLOADER_CHECK_POINTS(_loader, _points, _contours)

## Typedefs

typedef struct FT_GlyphLoadRec_ * | FT_GlyphLoad
typedef typedefFT_BEGIN_HEADER struct FT_GlyphLoaderRec_ * | FT_GlyphLoader
typedef struct FT_GlyphLoaderRec_ | FT_GlyphLoaderRec
typedef struct FT_GlyphLoadRec_ | FT_GlyphLoadRec
typedef struct FT_SubGlyphRec_ | FT_SubGlyphRec

## Functions

| FT_GlyphLoader_Add (FT_GlyphLoader loader)
| FT_GlyphLoader_CheckPoints (FT_GlyphLoader loader, FT_UInt n_points, FT_UInt n_contours)
| FT_GlyphLoader_CheckSubGlyphs (FT_GlyphLoader loader, FT_UInt n_subs)
| FT_GlyphLoader_CopyPoints (FT_GlyphLoader target, FT_GlyphLoader source)
| FT_GlyphLoader_CreateExtra (FT_GlyphLoader loader)
| FT_GlyphLoader_Done (FT_GlyphLoader loader)
| FT_GlyphLoader_New (FT_Memory memory, FT_GlyphLoader *aloader)
| FT_GlyphLoader_Prepare (FT_GlyphLoader loader)
| FT_GlyphLoader_Reset (FT_GlyphLoader loader)
| FT_GlyphLoader_Rewind (FT_GlyphLoader loader)

## Macro Definition Documentation

#define FT_GLYPHLOADER_CHECK_C | ( |  | _loader,
|  |  | _count
| ) |  |

Value:
( (_count) == 0 || ((_loader)->base.outline.n_contours + \
(_loader)->current.outline.n_contours + \
(unsigned long)(_count)) <= (_loader)->max_contours )

Definition at line 129 of file ftgloadr.h.

#define FT_GLYPHLOADER_CHECK_P | ( |  | _loader,
|  |  | _count
| ) |  |

Value:
( (_count) == 0 || ((_loader)->base.outline.n_points + \
(_loader)->current.outline.n_points + \
(unsigned long)(_count)) <= (_loader)->max_points )

Definition at line 124 of file ftgloadr.h.

#define FT_GLYPHLOADER_CHECK_POINTS | ( |  | _loader,
|  |  | _points,
|  |  | _contours
| ) |  |

Value:
( ( FT_GLYPHLOADER_CHECK_P( _loader, _points ) && \
FT_GLYPHLOADER_CHECK_C( _loader, _contours ) ) \
? 0 \
: FT_GlyphLoader_CheckPoints( (_loader), (_points), (_contours) ) )
FT_GLYPHLOADER_CHECK_C
#define FT_GLYPHLOADER_CHECK_C(_loader, _count)
Definition: ftgloadr.h:129
FT_GLYPHLOADER_CHECK_P
#define FT_GLYPHLOADER_CHECK_P(_loader, _count)
Definition: ftgloadr.h:124
FT_GlyphLoader_CheckPoints
FT_GlyphLoader_CheckPoints(FT_GlyphLoader loader, FT_UInt n_points, FT_UInt n_contours)
Definition: ftgloadr.c:200

Definition at line 134 of file ftgloadr.h.

Referenced by af_loader_load_g(), cff_builder_add_contour(), check_points(), pfr_glyph_curve_to(), pfr_glyph_line_to(), pfr_glyph_move_to(), t1_builder_add_contour(), t1_builder_check_points(), TT_Load_Simple_Glyph(), and TT_Process_Composite_Glyph().

## Typedef Documentation

typedef struct FT_GlyphLoadRec_ * FT_GlyphLoad

typedef typedefFT_BEGIN_HEADER struct FT_GlyphLoaderRec_* FT_GlyphLoader

Definition at line 43 of file ftgloadr.h.

typedef struct FT_GlyphLoaderRec_ FT_GlyphLoaderRec

typedef struct FT_GlyphLoadRec_ FT_GlyphLoadRec

typedef struct FT_SubGlyphRec_ FT_SubGlyphRec

## Function Documentation

FT_GlyphLoader_Add | ( | FT_GlyphLoader | loader | ) |

Definition at line 323 of file ftgloadr.c.

References FT_Outline_::contours, FT_GlyphLoader_Prepare(), FT_Outline_::n_contours, FT_Outline_::n_points, FT_GlyphLoadRec_::num_subglyphs, and FT_GlyphLoadRec_::outline.

Referenced by af_loader_load_g(), cff_decoder_parse_charstrings(), load_truetype_glyph(), pfr_glyph_end(), and t1_decoder_parse_charstrings().

FT_GlyphLoader_CheckPoints | ( | FT_GlyphLoader | loader,
|  | FT_UInt | n_points,
|  | FT_UInt | n_contours
| ) |  |

Definition at line 200 of file ftgloadr.c.

References FT_Outline_::contours, error, FT_ARRAY_MOVE, FT_Bool, FT_Err_Ok, FT_GlyphLoader_Adjust_Points(), FT_OUTLINE_CONTOURS_MAX, FT_OUTLINE_POINTS_MAX, FT_PAD_CEIL, FT_RENEW_ARRAY, FT_Outline_::n_contours, FT_Outline_::n_points, FT_Outline_::points, and FT_Outline_::tags.

Referenced by FT_GlyphLoader_CopyPoints().

FT_GlyphLoader_CheckSubGlyphs | ( | FT_GlyphLoader | loader,
|  | FT_UInt | n_subs
| ) |  |

Definition at line 276 of file ftgloadr.c.

References error, FT_Err_Ok, FT_GlyphLoader_Adjust_Subglyphs(), FT_PAD_CEIL, FT_RENEW_ARRAY, FT_GlyphLoadRec_::num_subglyphs, and FT_GlyphLoadRec_::subglyphs.

Referenced by af_loader_load_g(), cff_operator_seac(), t1operator_seac(), and TT_Load_Composite_Glyph().

FT_GlyphLoader_CopyPoints | ( | FT_GlyphLoader | target,
|  | FT_GlyphLoader | source
| ) |  |

Definition at line 360 of file ftgloadr.c.

References FT_Outline_::contours, error, FT_ARRAY_COPY, FT_GlyphLoader_Adjust_Points(), FT_GlyphLoader_CheckPoints(), FT_Outline_::n_contours, FT_Outline_::n_points, FT_Outline_::points, and FT_Outline_::tags.

Referenced by af_loader_load_g().

FT_GlyphLoader_CreateExtra | ( | FT_GlyphLoader | loader | ) |

Definition at line 165 of file ftgloadr.c.

References error, FT_GlyphLoader_Adjust_Points(), and FT_NEW_ARRAY.

Referenced by tt_slot_init().

FT_GlyphLoader_Done | ( | FT_GlyphLoader | loader | ) |

Definition at line 127 of file ftgloadr.c.

References FT_FREE, and FT_GlyphLoader_Reset().

Referenced by af_loader_done(), Destroy_Driver(), FT_Add_Module(), and ft_glyphslot_done().

FT_GlyphLoader_New | ( | FT_Memory | memory,
|  | FT_GlyphLoader * | aloader
| ) |  |

Definition at line 69 of file ftgloadr.c.

References error, FT_NEW, and NULL.

Referenced by af_loader_init(), FT_Add_Module(), and ft_glyphslot_init().

FT_GlyphLoader_Prepare | ( | FT_GlyphLoader | loader | ) |

Definition at line 307 of file ftgloadr.c.

References FT_GlyphLoader_Adjust_Points(), FT_GlyphLoader_Adjust_Subglyphs(), FT_Outline_::n_contours, FT_Outline_::n_points, FT_GlyphLoadRec_::num_subglyphs, and FT_GlyphLoadRec_::outline.

Referenced by cff_operator_seac(), FT_GlyphLoader_Add(), and t1operator_seac().

FT_GlyphLoader_Reset | ( | FT_GlyphLoader | loader | ) |

Definition at line 104 of file ftgloadr.c.

References FT_FREE, FT_GlyphLoader_Rewind(), and NULL.

Referenced by FT_GlyphLoader_Done().

FT_GlyphLoader_Rewind | ( | FT_GlyphLoader | loader | ) |

Definition at line 87 of file ftgloadr.c.

References FT_Outline_::n_contours, FT_Outline_::n_points, FT_GlyphLoadRec_::num_subglyphs, and FT_GlyphLoadRec_::outline.

Referenced by af_loader_load_g(), af_loader_reset(), cff_builder_init(), FT_GlyphLoader_Reset(), pfr_glyph_init(), pfr_glyph_load(), t1_builder_init(), and tt_loader_init().